package cn.com.ctop.kuaishou.modules.batch.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 快分销-招商信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2023-01-10
 */
@Data
@TableName("kuaishou_activity_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "kuaishou_activity_info对象", description = "快分销-招商信息")
public class KuaiShouActivityInfo {

    /**
     * 活动ID
     */
    @Excel(name = "活动ID", width = 15)
    @ApiModelProperty(value = "活动ID")
    private Long activityId;
    private Long regimentalId;
    /**
     * 活动标题
     */
    @Excel(name = "活动标题", width = 15)
    @ApiModelProperty(value = "活动标题")
    private String activityTitle;
    /**
     * 活动类型
     */
    @Excel(name = "活动类型", width = 15)
    @ApiModelProperty(value = "活动类型")
    private Integer activityType;
    /**
     * 招商开始时间
     */
    @Excel(name = "招商开始时间", width = 15)
    @ApiModelProperty(value = "招商开始时间")
    private String activityBeginTime;
    /**
     * 招商结束时间
     */
    @Excel(name = "招商结束时间", width = 15)
    @ApiModelProperty(value = "招商结束时间")
    private String activityEndTime;
    /**
     * 活动状态
     */
    @Excel(name = "活动状态", width = 15)
    @ApiModelProperty(value = "活动状态")
    private Integer activityStatus;
    /**
     * 报名数
     */
    @Excel(name = "报名数", width = 15)
    @ApiModelProperty(value = "报名数")
    private Integer applyItemCount;
    /**
     * 待审核
     */
    @Excel(name = "待审核", width = 15)
    @ApiModelProperty(value = "待审核")
    private Integer waitAuditItemCount;
    /**
     * 审核通过
     */
    @Excel(name = "审核通过", width = 15)
    @ApiModelProperty(value = "审核通过")
    private Integer auditPassItemCount;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
