package cn.com.ctop.kuaishou.modules.clean.service;

import cn.com.ctop.kuaishou.modules.clean.entity.KuaiShouAccountCleanTemplateInfo;
import org.jeecg.common.api.vo.Result;
/**
 * @Description: 快手-账户清理
 * @Author: zzy
 * @Date: 2021-07-20
 * @Version: V1.0
 */
public interface KuaiShouAccountCleanService {
    /**
     * 创建规则模板
     *
     * @param kuaiShouAccountCleanTemplateInfo
     * @return
     */
    Result createCleanTemplate(KuaiShouAccountCleanTemplateInfo kuaiShouAccountCleanTemplateInfo);
    /**
     * 查询模板列表
     *
     * @param templateId 模板id  createUser创建人
     * @return
     */
    Result getTemplateList(String templateId, String createUser,String userId,String pageNum, String pageSize);
    /**
     * 预览模板
     *
     * @param templateId 模板id
     * @return
     */
    Result previewTemplate(String templateId);
    /**
     * 推送模板
     *
     * @param templateId 模板id，accountId 账户id
     * @return
     */
    Result pushTemplate(String templateId, String accountId);
    /**
     * 修改模板
     *
     * @param kuaiShouAccountCleanTemplateInfo
     * @return
     */
    Result updateTemplate(KuaiShouAccountCleanTemplateInfo kuaiShouAccountCleanTemplateInfo);
    /**
     * 开启/暂停模板
     *
     * @param templateId 模板id   status状态  0-开始   1-暂停
     * @return
     */
    Result updateTemplateStatus(String templateId, String status);
    /**
     * 解除模板绑定
     *
     * @param templateId 模板id，accountId 账户id
     * @return
     */
    Result removeBinding(String templateId, String accountId);
    /**
     * 查询清理记录
     *
     * @param userName 运营名称  accountId 账户id
     * @return
     */
    Result getCleanUpLog(String userName, String accountId, String pageNum, String pageSize);
    /**
     * 查询个人清理模板列表
     *
     * @param accountId  账户id  userName运营名称  userId当前登录人id
     * @return
     */
    Result getMyselfTemplateList(String accountId, String userName, String userId, String pageNum, String pageSize);


    /**
     * 根据清理模板清理账户
     *
     * @param
     * @return
     */
    Result cleanAccount();
}
