package cn.com.ctop.kuaishou.modules.dimension.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 素材多维度年龄配置
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-07-29
 */
@Data
@TableName("ctop_kuaishou_dimension_age_config")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_dimension_age_config对象", description = "素材多维度年龄配置")
public class KuaiShouDimensionAgeConfig {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 年龄组id
     */
    @Excel(name = "年龄组id", width = 15)
    @ApiModelProperty(value = "年龄组id")
    private String ageGroupId;
    /**
     * 年龄组名称
     */
    @Excel(name = "年龄组名称", width = 15)
    @ApiModelProperty(value = "年龄组名称")
    private String ageGroupName;
    /**
     * ageGroupValue
     */
    @Excel(name = "ageGroupValue", width = 15)
    @ApiModelProperty(value = "ageGroupValue")
    private String ageGroupValue;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
