package cn.com.ctop.kuaishou.modules.dimension.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 多维度测试素材列表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-07-23
 */
@Data
@TableName("ctop_kuaishou_dimension_material")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_dimension_material对象", description = "多维度测试素材列表")
public class KuaiShouDimensionMaterial {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 策略id
     */
    @Excel(name = "策略id", width = 15)
    @ApiModelProperty(value = "策略id")
    private Long strategyId;
    /**
     * 视频id
     */
    @Excel(name = "视频id", width = 15)
    @ApiModelProperty(value = "视频id")
    private Long photoId;
    /**
     * MD5值
     */
  /*  @Excel(name = "MD5值", width = 15)
    @ApiModelProperty(value = "MD5值")
    private String signature;*/
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
}
