package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 快手-计划创建记录
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-11-18
 */
@Data
@TableName("ctop_kuaishou_plan_create")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_plan_create对象", description = "快手-计划创建记录")
public class KuaishouPlanCreate {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    private String companyId;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 项目ID
     */
    @Excel(name = "项目ID", width = 15)
    @ApiModelProperty(value = "项目ID")
    private Long projectId;
    /**
     * 运营id
     */
    @Excel(name = "运营id", width = 15)
    @ApiModelProperty(value = "运营id")
    private String userId;
    /**
     * 运营姓名
     */
    @Excel(name = "运营姓名", width = 15)
    @ApiModelProperty(value = "运营姓名")
    private String userName;
    /**
     * leader姓名
     */
    @Excel(name = "leader姓名", width = 15)
    @ApiModelProperty(value = "leader姓名")
    private String leaderName;
    /**
     * 日期
     */
    @Excel(name = "日期", width = 15)
    @ApiModelProperty(value = "日期")
    private String statDate;
    /**
     * 新建计划数
     */
    @Excel(name = "新建计划数", width = 15)
    @ApiModelProperty(value = "新建计划数")
    private Integer newPlan;
    private Integer newUnit;
    /**
     * 自动化新建组数
     */
    @Excel(name = "自动化新建组数", width = 15)
    @ApiModelProperty(value = "自动化新建组数")
    private Integer autoUnit;

    /**
     * 有效新建组数
     */
    @Excel(name = "有效新建组数", width = 15)
    @ApiModelProperty(value = "有效新建组数")
    private Integer effectiveUnit;
    /**
     * 智能托管计划数
     */
    private Integer hostingPlans;

    /**
     * 批量工具搭建组数量（不包含智能托管）
     */
    private Integer batchUnit;


    /**
     * 媒体后台组搭建数（含智能托管）
     */
    private Integer mediaUnit;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
